<?xml version="1.0" encoding="UTF-8"?>
<proxy xmlns="http://ws.apache.org/ns/synapse"
       name="itemprice_r12_create_transaction_topicsubscriber_ps"
       transports="https,http,jms"
       statistics="disable"
       trace="disable"
       startOnLoad="true">
   <target>
      <inSequence>
    	<property name="SLT_INTEGRATION_STEP" scope="default" type="STRING" value="ItemPrice / itemprice_r12_create_transaction_topicsubscriber_ps"/>
	    <sequence key="item_price_r12_blc_standard_logging_seq"/>
	    <property expression="fn:count(//*[name()='PriceDetails']/*[name()='PriceDetail'])" name="RECORD_COUNT" scope="default" type="STRING"/>
	    <property name="messageType" scope="axis2" type="STRING" value="application/json"/>
		<property name="ContentType" scope="axis2" type="STRING" value="application/json"/>
		<property expression="json-eval($.PriceDetails.PriceDetail[0].WM_RUN_ID)" name="WM_RUN_ID" scope="default" type="STRING"/>
		<property expression="json-eval($.PriceDetails.PriceDetail[0].TypeID)" name="PI_TYPE_ID" scope="default" type="STRING"/>
		<property expression="json-eval($.PriceDetails.PriceDetail[0].LogID)" name="LOG_ID" scope="default" type="STRING"/>
	    <log level="custom">
	    	<property name="WM_RUN_ID_VALUE" expression="get-property('WM_RUN_ID')"></property>
	    	<property name="TYPE_ID_VALUE" expression="get-property('PI_TYPE_ID')"></property>
	    	<property name="LOG_ID_VALUE" expression="get-property('LOG_ID')"></property>
	    </log>
      </inSequence>
      <outSequence/>
      <faultSequence/>
   </target>
   <parameter name="transport.jms.ContentType">
      <rules xmlns="">
         <jmsProperty>contentType</jmsProperty>
         <default>application/xml</default>
      </rules>
   </parameter>
   <parameter name="transport.jms.DestinationType">topic</parameter>
   <parameter name="transport.jms.SubscriptionDurable">true</parameter>
   <parameter name="transport.jms.Destination">itemPrice_BLC_BQ_Topic_ms</parameter>
   <parameter name="transport.jms.DurableSubscriberName">itemprice_r12_create_transaction_topicsubscriber_ps</parameter>
   <parameter name="transport.jms.DurableSubscriberClientID">itemprice_r12_create_transaction_topicsubscriber_ps</parameter>
   <description/>
</proxy>